<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

  if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
  } else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
  }

  if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
  } else {
  
  include_once ROOT_DIR . '/modules/tickets/menu.php';
  ?>
	<script type="text/javascript">
	  function del(tid) {
		$.post('ajax.php?func=deltickets', {
		  id: tid
		}, function(data){
		  if(data == 1) {
			Page.Go('support');
		  } else {
			$('.erroralert').fadeIn(500).html(data);
			setTimeout(function() {
			  $('.erroralert').fadeOut(500).html('&nbsp;');
			}, 4000);
		  }
		});
		return false;
	  }
	</script>
	
	<div class="content_bar">
      <article class="postBox">
	    <div class="h2-title-header"><h2><a>Служба технической поддержки</a></h2></div>
	    <div class="image_tikets_p"></div>
	    <div class="block-support-tiket-add">
		  <a href="/add_tickets" class="btn-forum-topic-add"><i class="fa fa-plus" ></i> Создать новый тикет</a>
		</div>
		<div class="textPreview" style="padding: 0 20px 0 0;">
	      <p class="earnings_text" style="color: #545454;">
		    Специалисты службы технической поддержки готовы помочь вам и ответить на ваши вопросы.<br/> Все тикеты обрабатываются в порядке очереди. Возможно, придётся подождать некоторое время, прежде чем вы получите ответ на свой вопрос. Не дублируйте ваши тикеты, это только усложнит процесс и оттянет время ответа на ваш вопрос.<br/> Ожидайте ответ администратора в течение до 24 часов. 
	      </p>
	    </div>
	    <table class="msg-table">
		  <?
			$tickets_me = mysql_query("SELECT * FROM tickets WHERE iduser = '" . $_SESSION['iduser'] . "' ORDER BY time DESC");
			if(mysql_num_rows( $tickets_me ) > 0) {
			while ($tickets_row = mysql_fetch_array($tickets_me)) {
				
			  if ($tickets_row['status'] == 1) {
				$coltext = '<div class="tag tag-info tag-pill pull-xs-right colmess-null" title="У вас в тикете, новый ответ">новый ответ</div>';
				
			  } else {
				$coltext = '';
			  }
			 
			  $us_send = mysql_fetch_array( mysql_query( "SELECT username, avatar FROM user WHERE id = '" . $tickets_row['iduser'] . "' LIMIT 1" ) );
			  ?>
			    <tr class="wrap_mess"  >
				  <td >
				    <img src="/theme/images/avatar_support.png" width="34" height="34" class="avatar-msg img-circle" alt="" />
				  </td>
				  <td width="574">
				    <div class="mess_info_user">
					  <div class="mess_info_user_name">№<?=$tickets_row['id']?> </div>
					  <div class="mess_end_user_name"><?=substr( parce_html_code( $tickets_row['title'] ), 0, 50 )?> <? if(mb_strlen( $tickets_row['title']) > 40) {?>...<?}?></div>
				     </div>
				  </td>
				  <td>
				    <div class="mess_kol" style="margin: 0 15px 0 0;"><?=$coltext?></div>
				  </td>
				  <td>
				    <button type="button" class="btn btn-primary btn-sm" onclick="document.location.href='/tickets=<?=$tickets_row['id']?>';">просмотреть</button>
				    
				  </td> 
				  <td >
				    <button type="button" class="btn btn-danger btn-sm" onclick="del(<?=$tickets_row['id']?>);return false;">удалить</button>
				  </td> 
				  <td >
				    &nbsp;&nbsp;&nbsp;
				  </td>
			    </tr>
			  <? 
			} 
			} else {
				echo '<div class="alert alert-warning" role="alert">
				  <i class="fa fa-info-circle" aria-hidden="true"></i> На данный момент обращений в службу технической поддержки не найдено!
				</div>
				<div class="alert alert-info" role="alert">
				  <i class="fa fa-info-circle" aria-hidden="true"></i> Если у вас возникли вопросы или затруднения по роботе проекта, и вы не нашли ответ на это в разделе <div style="padding-left: 17px;">справки, вы можете создать обращение в техническую поддержку, и наши специалисты постараются помочь вам как можно быстрее. Обычно ТП отвечает в течение 10/15 минут, но иногда в период повышенной нагрузки ответ может обрабатывается до 24 часов (в рабочие дни).</div> 
				</div>'; 
			}
		  ?>
		</table><br/>
	  </article>
    </div>	
  <?

}

?>








